NuTools - Support #24124

nutools v2_27 07 with genie v3_00_04_ub2
03/03/2020 11:01 AM - Steven Gardiner

Status: Closed Start date: 03/03/2020
Priority: Normal Due date:

Assignee: Steven Gardiner % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 0.00 hour
Description

MicroBooNE requests a new version of nutools (v2_27_07) built against a new version of genie, v3_00_04_ub2. This patched
version of genie should be created using the tag v3_00_04_ub2 in the MicroBooNE forks of the GENIE Generator and Reweight
repositories:

https://github.com/uboone/Generator
https://github.com/uboone/Reweight

The dk2nugenie and nutools products should be built against the new genie version with changes only to the product dependencies.
The work should be performed using the v3_00_04_ub_br branch of nutools.

History

#1 - 03/03/2020 12:26 PM - Lynn Garren

Nutools build instructions for the MicroBooNE branch:
https://cdcvs.fnal.gov/redmine/projects/nutools/wiki/Notes_for NuTools_release managers#Update-nutools-for-MicroBooNE-production-releases-v08
_05_00_NN

#2 - 03/05/2020 11:26 PM - Steven Gardiner
- % Done changed from 0 to 70

New versions of the ssi-build scripts for genie v3_00_04_ub2 and dk2nugenie v01_08_00_ub2 have been tagged and pushed. I've also updated the
lar_v2_27_br branch of nutools and tagged v2_27_07. All that remains is to upload materials to SciSoft and build on Jenkins. At the moment | lack the
right permissions, but | will follow up tomorrow.

#3 - 03/06/2020 06:39 PM - Steven Gardiner

The Jenkins build of nulite failed due to geant4reweight vO01_00_03, which references nutools v2_27_06 (the previous version) in its product_deps.
I've made a feature branch to correct the problem (and moved the nutools v2_27_07 tag), but | do not yet have write permission for the
geantdreweight repository.

#4 - 03/06/2020 07:02 PM - Lynn Garren

https://cdcvs.fnal.gov/redmine/projects/geant4reweight

You'll have to request permissions from the owners.

#5 - 03/10/2020 04:56 PM - Steven Gardiner
- % Done changed from 70 to 100

- Status changed from New to Closed

nutools v2_27_07 has been built and uploaded to SciSoft. I've notified MicroBooNE that it is now available for use in patch releases of larsoft and
uboonecode.
